#!/bin/bash
# Dump application metrics and thread stacks to console.
#

source "${SSDT_SCRIPTS:-$(dirname "${BASH_SOURCE[0]}")}/.functions.sh"

container=$(composeGetContainer ${1?"Must specify the app service to connect to"} )

project=$(composeGetProject ${1} )
ip=$(docker inspect -f "{{with  .NetworkSettings.Networks}}{{.${project}_default.IPAddress}}{{end}}" $container)

echo "connecting to ${container} in ${project} at ${ip}:8080"
docker run  --network ${project}_default --rm docker.ssdt.io/ssdt-utils curl -s http://${ip}:8080/metrics/admin/metrics?pretty=true
docker run  --network ${project}_default --rm docker.ssdt.io/ssdt-utils curl -s http://${ip}:8080/metrics/admin/threads
